org.apache.solr.client.solrj.request

## Enum CollectionApiMapping.EndPoint

- java.lang.Object
- - java.lang.Enum<CollectionApiMapping.EndPoint>
  - - org.apache.solr.client.solrj.request.CollectionApiMapping.EndPoint

All Implemented Interfaces:
  Serializable, Comparable<CollectionApiMapping.EndPoint>, CollectionApiMapping.V2EndPoint

Enclosing class:
  CollectionApiMapping

    public static enum CollectionApiMapping.EndPoint
    extends Enum<CollectionApiMapping.EndPoint>
    implements CollectionApiMapping.V2EndPoint

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTER`
`CLUSTER_ALIASES`
`CLUSTER_CMD`
`CLUSTER_CMD_STATUS`
`CLUSTER_CMD_STATUS_DELETE`
`CLUSTER_NODES`
`COLLECTION_STATE`
`COLLECTIONS`
`COLLECTIONS_COMMANDS`
`PER_COLLECTION`
`PER_COLLECTION_DELETE`
`PER_COLLECTION_PER_SHARD_COMMANDS`
`PER_COLLECTION_PER_SHARD_DELETE`
`PER_COLLECTION_PER_SHARD_PER_REPLICA_DELETE`
`PER_COLLECTION_SHARDS_COMMANDS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getSpecName()`
`static CollectionApiMapping.EndPoint` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionApiMapping.EndPoint[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLUSTER

    public static final CollectionApiMapping.EndPoint CLUSTER

#### CLUSTER_ALIASES

    public static final CollectionApiMapping.EndPoint CLUSTER_ALIASES

#### CLUSTER_CMD

    public static final CollectionApiMapping.EndPoint CLUSTER_CMD

#### CLUSTER_NODES

    public static final CollectionApiMapping.EndPoint CLUSTER_NODES

#### CLUSTER_CMD_STATUS

    public static final CollectionApiMapping.EndPoint CLUSTER_CMD_STATUS

#### CLUSTER_CMD_STATUS_DELETE

    public static final CollectionApiMapping.EndPoint CLUSTER_CMD_STATUS_DELETE

#### COLLECTIONS_COMMANDS

    public static final CollectionApiMapping.EndPoint COLLECTIONS_COMMANDS

#### COLLECTIONS

    public static final CollectionApiMapping.EndPoint COLLECTIONS

#### COLLECTION_STATE

    public static final CollectionApiMapping.EndPoint COLLECTION_STATE

#### PER_COLLECTION

    public static final CollectionApiMapping.EndPoint PER_COLLECTION

#### PER_COLLECTION_DELETE

    public static final CollectionApiMapping.EndPoint PER_COLLECTION_DELETE

#### PER_COLLECTION_SHARDS_COMMANDS

    public static final CollectionApiMapping.EndPoint PER_COLLECTION_SHARDS_COMMANDS

#### PER_COLLECTION_PER_SHARD_COMMANDS

    public static final CollectionApiMapping.EndPoint PER_COLLECTION_PER_SHARD_COMMANDS

#### PER_COLLECTION_PER_SHARD_DELETE

    public static final CollectionApiMapping.EndPoint PER_COLLECTION_PER_SHARD_DELETE

#### PER_COLLECTION_PER_SHARD_PER_REPLICA_DELETE

    public static final CollectionApiMapping.EndPoint PER_COLLECTION_PER_SHARD_PER_REPLICA_DELETE

### Method Detail

#### values

    public static CollectionApiMapping.EndPoint[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CollectionApiMapping.EndPoint c : CollectionApiMapping.EndPoint.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CollectionApiMapping.EndPoint valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSpecName

    public String getSpecName()

Specified by:
  `getSpecName` in interface `CollectionApiMapping.V2EndPoint`